'use strict';

var _glyphExtractor = require('../glyph-extractor');

var _glyphExtractor2 = _interopRequireDefault(_glyphExtractor);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Extracting known information from Font Awesome', function () {

    //Force the font text to be a string
    var sampleSvgFontText = _fs2.default.readFileSync(__dirname + '/extractor-data/fontawesome-webfont.svg', { encoding: 'utf8' });

    test('Finds the right number of glyphs - with callback', function (done) {
        var cback = function cback(allCharacters) {
            expect(allCharacters.length).toBe(5);
        };
        var promise = (0, _glyphExtractor2.default)(sampleSvgFontText, null, cback);

        expect(promise).not.toBe(undefined);

        promise.then(function () {
            done();
        });
    });

    test('Finds the right number of glyphs - without callback', function (done) {
        var promise = (0, _glyphExtractor2.default)(sampleSvgFontText, null);

        expect(promise).not.toBe(undefined);

        promise.then(function (allCharacters) {
            expect(allCharacters.length).toBe(5);
            done();
        });
    });
});